## ros-rolling-rcss3d-agent-msgs-to-soccer-interfaces 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(rcss3d_agent_msgs_to_soccer_interfaces)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(rcss3d_agent_msgs REQUIRED)
find_package(soccer_vision_3d_msgs REQUIRED)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  rcss3d_agent_msgs
  soccer_vision_3d_msgs)

# Build
add_library(${PROJECT_NAME} SHARED
  src/conversion.cpp)
target_include_directories(${PROJECT_NAME} PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)

ament_target_dependencies(${PROJECT_NAME} ${THIS_PACKAGE_INCLUDE_DEPENDS})
ament_export_targets(export_${PROJECT_NAME} HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})

# Install
install(
  DIRECTORY include/
  DESTINATION include)
install(
  TARGETS ${PROJECT_NAME}
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include)

# Test
if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  add_subdirectory(test)

  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

# Package
ament_package()

=== debian/changelog ===
ros-rolling-rcss3d-agent-msgs-to-soccer-interfaces (0.4.1-2jammy) jammy; urgency=high

  * Add player number and team conversion to getRobotArray
  * Contributors: Kenji Brameld

 -- ijnek <kenjibrameld@gmail.com>  Fri, 01 Jul 2022 07:00:00 -0000

ros-rolling-rcss3d-agent-msgs-to-soccer-interfaces (0.4.0-2jammy) jammy; urgency=high

  * Add rcss3d_agent_msgs_to_soccer_interfaces package
  * Contributors: Kenji Brameld

 -- ijnek <kenjibrameld@gmail.com>  Thu, 30 Jun 2022 07:00:00 -0000

ros-rolling-rcss3d-agent-msgs-to-soccer-interfaces (0.3.1-2jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Tue, 28 Jun 2022 07:00:00 -0000

ros-rolling-rcss3d-agent-msgs-to-soccer-interfaces (0.3.0-2jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Wed, 15 Jun 2022 07:00:00 -0000

ros-rolling-rcss3d-agent-msgs-to-soccer-interfaces (0.0.7-2jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Sun, 24 Apr 2022 07:00:00 -0000

ros-rolling-rcss3d-agent-msgs-to-soccer-interfaces (0.0.6-2jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Fri, 04 Feb 2022 08:00:00 -0000

ros-rolling-rcss3d-agent-msgs-to-soccer-interfaces (0.0.5-2jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Thu, 03 Feb 2022 08:00:00 -0000

ros-rolling-rcss3d-agent-msgs-to-soccer-interfaces (0.0.4-2jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Sat, 29 Jan 2022 08:00:00 -0000

ros-rolling-rcss3d-agent-msgs-to-soccer-interfaces (0.0.3-2jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Fri, 28 Jan 2022 08:00:00 -0000

=== debian/control ===
Source: ros-rolling-rcss3d-agent-msgs-to-soccer-interfaces
Section: misc
Priority: optional
Maintainer: ijnek <kenjibrameld@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-rcss3d-agent-msgs, ros-rolling-soccer-vision-3d-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rcss3d-agent-msgs-to-soccer-interfaces
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-rcss3d-agent-msgs, ros-rolling-soccer-vision-3d-msgs, ros-rolling-ros-workspace
Description: Library with methods that convert rcss3d_agent_msgs to soccer_interfaces

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rcss3d-agent-msgs-to-soccer-interfaces//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
